

# SB - Story Baobab

![storyboard full of baobab](baba.jpg)

Baobab are crazy??? And this is an interactive storyboard app developed for facilitating the editing of [Frana Futura](https://km0.gitlab.io/frana-futura/).

Developed with Vite and Vue.

The idea is: a minimal surface to sketch storyboard uploading images and sorting them through drag and drop.
Ideally at the end a `csv` or `pdf` could be exported. 

## Features

- Multiple scenes
- Load files with drag and drop
- Support both video and images
- Prevent accidental navigation
- Import / Export projects
- Data never leave your machine
- No server, no database, nothing
- Organize clips by color

## To build

To build a static version from the vite project this is the command:

```yarn vite build --outDir /var/www/html/sb --base /soupboat/sb --emptyOutDir```

- `--outDir` set the output directory, in this case the public folder clumsy-mapping, that will be served from NGINX
- `--base` set the base url with the /soupboat/ prefix
- `--emptyOutDir` empty the output directory before building the project


